# OnnxRuntime: Ort::Exception Struct Reference

Loading...
Searching...
No Matches
Ort::Exception Struct Reference

All C++ methods that can fail will throw an exception of this type. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::Exception:

## Public Member Functions

| Exception (std::string &&string, OrtErrorCode code)
OrtErrorCode | GetOrtErrorCode () const
const char * | what () const noexcept override

## Detailed Description

All C++ methods that can fail will throw an exception of this type.

If `ORT_NO_EXCEPTIONS` is defined, then any error will result in a call to abort()

## Constructor & Destructor Documentation

## Exception()

Ort::Exception::Exception | ( | std::string && | string,
|  | OrtErrorCode | code
| ) |  |

inline

## Member Function Documentation

## GetOrtErrorCode()

OrtErrorCode Ort::Exception::GetOrtErrorCode | ( |  | ) | const

inline

## what()

const char * Ort::Exception::what | ( |  | ) | const

inlineoverridenoexcept